#!/bin/bash

set -e

IMAGE=poppler-utils_bug_01-ubuntu
docker build -t $IMAGE -f Dockerfile-ubuntu .

echo "[+] Running unzip /testcase"
docker run --rm -v $PWD/testcase:/testcase:ro \
    -it $IMAGE valgrind pdftotext -upw USERPASS -opw OWNERPASS /testcase /tmp/out.txt || true

echo "[+] Dropping into shell. Malformed input is located at /testcase"
docker run --rm -v $PWD/testcase:/testcase:ro \
    -it $IMAGE bash
